Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network182.37.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
182.37.0.0
Broadcast address
182.37.127.255
First usable
182.37.0.1
Last usable
182.37.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
B (default /16)
As numbers
Hex B6250000 · Integer 3055878144 to 3055910911
Reverse DNS zones
0.37.182.in-addr.arpa
1.37.182.in-addr.arpa
2.37.182.in-addr.arpa
3.37.182.in-addr.arpa
4.37.182.in-addr.arpa
5.37.182.in-addr.arpa
6.37.182.in-addr.arpa
7.37.182.in-addr.arpa
8.37.182.in-addr.arpa
9.37.182.in-addr.arpa
10.37.182.in-addr.arpa
11.37.182.in-addr.arpa
12.37.182.in-addr.arpa
13.37.182.in-addr.arpa
14.37.182.in-addr.arpa
15.37.182.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110110.00100101.00000000.00000000182.37.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network10110110.00100101.00000000.00000000182.37.0.0
Broadcast10110110.00100101.01111111.11111111182.37.127.255
Split into smaller subnets/26

182.37.0.0/17 makes 512 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1182.37.0.0/26182.37.0.1 to 182.37.0.62182.37.0.6362
2182.37.0.64/26182.37.0.65 to 182.37.0.126182.37.0.12762
3182.37.0.128/26182.37.0.129 to 182.37.0.190182.37.0.19162
4182.37.0.192/26182.37.0.193 to 182.37.0.254182.37.0.25562
5182.37.1.0/26182.37.1.1 to 182.37.1.62182.37.1.6362
6182.37.1.64/26182.37.1.65 to 182.37.1.126182.37.1.12762
7182.37.1.128/26182.37.1.129 to 182.37.1.190182.37.1.19162
8182.37.1.192/26182.37.1.193 to 182.37.1.254182.37.1.25562
9182.37.2.0/26182.37.2.1 to 182.37.2.62182.37.2.6362
10182.37.2.64/26182.37.2.65 to 182.37.2.126182.37.2.12762
11182.37.2.128/26182.37.2.129 to 182.37.2.190182.37.2.19162
12182.37.2.192/26182.37.2.193 to 182.37.2.254182.37.2.25562
13182.37.3.0/26182.37.3.1 to 182.37.3.62182.37.3.6362
14182.37.3.64/26182.37.3.65 to 182.37.3.126182.37.3.12762
15182.37.3.128/26182.37.3.129 to 182.37.3.190182.37.3.19162
16182.37.3.192/26182.37.3.193 to 182.37.3.254182.37.3.25562
17182.37.4.0/26182.37.4.1 to 182.37.4.62182.37.4.6362
18182.37.4.64/26182.37.4.65 to 182.37.4.126182.37.4.12762
19182.37.4.128/26182.37.4.129 to 182.37.4.190182.37.4.19162
20182.37.4.192/26182.37.4.193 to 182.37.4.254182.37.4.25562
21182.37.5.0/26182.37.5.1 to 182.37.5.62182.37.5.6362
22182.37.5.64/26182.37.5.65 to 182.37.5.126182.37.5.12762
23182.37.5.128/26182.37.5.129 to 182.37.5.190182.37.5.19162
24182.37.5.192/26182.37.5.193 to 182.37.5.254182.37.5.25562
25182.37.6.0/26182.37.6.1 to 182.37.6.62182.37.6.6362
26182.37.6.64/26182.37.6.65 to 182.37.6.126182.37.6.12762
27182.37.6.128/26182.37.6.129 to 182.37.6.190182.37.6.19162
28182.37.6.192/26182.37.6.193 to 182.37.6.254182.37.6.25562
29182.37.7.0/26182.37.7.1 to 182.37.7.62182.37.7.6362
30182.37.7.64/26182.37.7.65 to 182.37.7.126182.37.7.12762
31182.37.7.128/26182.37.7.129 to 182.37.7.190182.37.7.19162
32182.37.7.192/26182.37.7.193 to 182.37.7.254182.37.7.25562
33182.37.8.0/26182.37.8.1 to 182.37.8.62182.37.8.6362
34182.37.8.64/26182.37.8.65 to 182.37.8.126182.37.8.12762
35182.37.8.128/26182.37.8.129 to 182.37.8.190182.37.8.19162
36182.37.8.192/26182.37.8.193 to 182.37.8.254182.37.8.25562
37182.37.9.0/26182.37.9.1 to 182.37.9.62182.37.9.6362
38182.37.9.64/26182.37.9.65 to 182.37.9.126182.37.9.12762
39182.37.9.128/26182.37.9.129 to 182.37.9.190182.37.9.19162
40182.37.9.192/26182.37.9.193 to 182.37.9.254182.37.9.25562
41182.37.10.0/26182.37.10.1 to 182.37.10.62182.37.10.6362
42182.37.10.64/26182.37.10.65 to 182.37.10.126182.37.10.12762
43182.37.10.128/26182.37.10.129 to 182.37.10.190182.37.10.19162
44182.37.10.192/26182.37.10.193 to 182.37.10.254182.37.10.25562
45182.37.11.0/26182.37.11.1 to 182.37.11.62182.37.11.6362
46182.37.11.64/26182.37.11.65 to 182.37.11.126182.37.11.12762
47182.37.11.128/26182.37.11.129 to 182.37.11.190182.37.11.19162
48182.37.11.192/26182.37.11.193 to 182.37.11.254182.37.11.25562
49182.37.12.0/26182.37.12.1 to 182.37.12.62182.37.12.6362
50182.37.12.64/26182.37.12.65 to 182.37.12.126182.37.12.12762
51182.37.12.128/26182.37.12.129 to 182.37.12.190182.37.12.19162
52182.37.12.192/26182.37.12.193 to 182.37.12.254182.37.12.25562
53182.37.13.0/26182.37.13.1 to 182.37.13.62182.37.13.6362
54182.37.13.64/26182.37.13.65 to 182.37.13.126182.37.13.12762
55182.37.13.128/26182.37.13.129 to 182.37.13.190182.37.13.19162
56182.37.13.192/26182.37.13.193 to 182.37.13.254182.37.13.25562
57182.37.14.0/26182.37.14.1 to 182.37.14.62182.37.14.6362
58182.37.14.64/26182.37.14.65 to 182.37.14.126182.37.14.12762
59182.37.14.128/26182.37.14.129 to 182.37.14.190182.37.14.19162
60182.37.14.192/26182.37.14.193 to 182.37.14.254182.37.14.25562
61182.37.15.0/26182.37.15.1 to 182.37.15.62182.37.15.6362
62182.37.15.64/26182.37.15.65 to 182.37.15.126182.37.15.12762
63182.37.15.128/26182.37.15.129 to 182.37.15.190182.37.15.19162
64182.37.15.192/26182.37.15.193 to 182.37.15.254182.37.15.25562
65182.37.16.0/26182.37.16.1 to 182.37.16.62182.37.16.6362
66182.37.16.64/26182.37.16.65 to 182.37.16.126182.37.16.12762
67182.37.16.128/26182.37.16.129 to 182.37.16.190182.37.16.19162
68182.37.16.192/26182.37.16.193 to 182.37.16.254182.37.16.25562
69182.37.17.0/26182.37.17.1 to 182.37.17.62182.37.17.6362
70182.37.17.64/26182.37.17.65 to 182.37.17.126182.37.17.12762
71182.37.17.128/26182.37.17.129 to 182.37.17.190182.37.17.19162
72182.37.17.192/26182.37.17.193 to 182.37.17.254182.37.17.25562
73182.37.18.0/26182.37.18.1 to 182.37.18.62182.37.18.6362
74182.37.18.64/26182.37.18.65 to 182.37.18.126182.37.18.12762
75182.37.18.128/26182.37.18.129 to 182.37.18.190182.37.18.19162
76182.37.18.192/26182.37.18.193 to 182.37.18.254182.37.18.25562
77182.37.19.0/26182.37.19.1 to 182.37.19.62182.37.19.6362
78182.37.19.64/26182.37.19.65 to 182.37.19.126182.37.19.12762
79182.37.19.128/26182.37.19.129 to 182.37.19.190182.37.19.19162
80182.37.19.192/26182.37.19.193 to 182.37.19.254182.37.19.25562
81182.37.20.0/26182.37.20.1 to 182.37.20.62182.37.20.6362
82182.37.20.64/26182.37.20.65 to 182.37.20.126182.37.20.12762
83182.37.20.128/26182.37.20.129 to 182.37.20.190182.37.20.19162
84182.37.20.192/26182.37.20.193 to 182.37.20.254182.37.20.25562
85182.37.21.0/26182.37.21.1 to 182.37.21.62182.37.21.6362
86182.37.21.64/26182.37.21.65 to 182.37.21.126182.37.21.12762
87182.37.21.128/26182.37.21.129 to 182.37.21.190182.37.21.19162
88182.37.21.192/26182.37.21.193 to 182.37.21.254182.37.21.25562
89182.37.22.0/26182.37.22.1 to 182.37.22.62182.37.22.6362
90182.37.22.64/26182.37.22.65 to 182.37.22.126182.37.22.12762
91182.37.22.128/26182.37.22.129 to 182.37.22.190182.37.22.19162
92182.37.22.192/26182.37.22.193 to 182.37.22.254182.37.22.25562
93182.37.23.0/26182.37.23.1 to 182.37.23.62182.37.23.6362
94182.37.23.64/26182.37.23.65 to 182.37.23.126182.37.23.12762
95182.37.23.128/26182.37.23.129 to 182.37.23.190182.37.23.19162
96182.37.23.192/26182.37.23.193 to 182.37.23.254182.37.23.25562
97182.37.24.0/26182.37.24.1 to 182.37.24.62182.37.24.6362
98182.37.24.64/26182.37.24.65 to 182.37.24.126182.37.24.12762
99182.37.24.128/26182.37.24.129 to 182.37.24.190182.37.24.19162
100182.37.24.192/26182.37.24.193 to 182.37.24.254182.37.24.25562
101182.37.25.0/26182.37.25.1 to 182.37.25.62182.37.25.6362
102182.37.25.64/26182.37.25.65 to 182.37.25.126182.37.25.12762
103182.37.25.128/26182.37.25.129 to 182.37.25.190182.37.25.19162
104182.37.25.192/26182.37.25.193 to 182.37.25.254182.37.25.25562
105182.37.26.0/26182.37.26.1 to 182.37.26.62182.37.26.6362
106182.37.26.64/26182.37.26.65 to 182.37.26.126182.37.26.12762
107182.37.26.128/26182.37.26.129 to 182.37.26.190182.37.26.19162
108182.37.26.192/26182.37.26.193 to 182.37.26.254182.37.26.25562
109182.37.27.0/26182.37.27.1 to 182.37.27.62182.37.27.6362
110182.37.27.64/26182.37.27.65 to 182.37.27.126182.37.27.12762
111182.37.27.128/26182.37.27.129 to 182.37.27.190182.37.27.19162
112182.37.27.192/26182.37.27.193 to 182.37.27.254182.37.27.25562
113182.37.28.0/26182.37.28.1 to 182.37.28.62182.37.28.6362
114182.37.28.64/26182.37.28.65 to 182.37.28.126182.37.28.12762
115182.37.28.128/26182.37.28.129 to 182.37.28.190182.37.28.19162
116182.37.28.192/26182.37.28.193 to 182.37.28.254182.37.28.25562
117182.37.29.0/26182.37.29.1 to 182.37.29.62182.37.29.6362
118182.37.29.64/26182.37.29.65 to 182.37.29.126182.37.29.12762
119182.37.29.128/26182.37.29.129 to 182.37.29.190182.37.29.19162
120182.37.29.192/26182.37.29.193 to 182.37.29.254182.37.29.25562
121182.37.30.0/26182.37.30.1 to 182.37.30.62182.37.30.6362
122182.37.30.64/26182.37.30.65 to 182.37.30.126182.37.30.12762
123182.37.30.128/26182.37.30.129 to 182.37.30.190182.37.30.19162
124182.37.30.192/26182.37.30.193 to 182.37.30.254182.37.30.25562
125182.37.31.0/26182.37.31.1 to 182.37.31.62182.37.31.6362
126182.37.31.64/26182.37.31.65 to 182.37.31.126182.37.31.12762
127182.37.31.128/26182.37.31.129 to 182.37.31.190182.37.31.19162
128182.37.31.192/26182.37.31.193 to 182.37.31.254182.37.31.25562
129182.37.32.0/26182.37.32.1 to 182.37.32.62182.37.32.6362
130182.37.32.64/26182.37.32.65 to 182.37.32.126182.37.32.12762
131182.37.32.128/26182.37.32.129 to 182.37.32.190182.37.32.19162
132182.37.32.192/26182.37.32.193 to 182.37.32.254182.37.32.25562
133182.37.33.0/26182.37.33.1 to 182.37.33.62182.37.33.6362
134182.37.33.64/26182.37.33.65 to 182.37.33.126182.37.33.12762
135182.37.33.128/26182.37.33.129 to 182.37.33.190182.37.33.19162
136182.37.33.192/26182.37.33.193 to 182.37.33.254182.37.33.25562
137182.37.34.0/26182.37.34.1 to 182.37.34.62182.37.34.6362
138182.37.34.64/26182.37.34.65 to 182.37.34.126182.37.34.12762
139182.37.34.128/26182.37.34.129 to 182.37.34.190182.37.34.19162
140182.37.34.192/26182.37.34.193 to 182.37.34.254182.37.34.25562
141182.37.35.0/26182.37.35.1 to 182.37.35.62182.37.35.6362
142182.37.35.64/26182.37.35.65 to 182.37.35.126182.37.35.12762
143182.37.35.128/26182.37.35.129 to 182.37.35.190182.37.35.19162
144182.37.35.192/26182.37.35.193 to 182.37.35.254182.37.35.25562
145182.37.36.0/26182.37.36.1 to 182.37.36.62182.37.36.6362
146182.37.36.64/26182.37.36.65 to 182.37.36.126182.37.36.12762
147182.37.36.128/26182.37.36.129 to 182.37.36.190182.37.36.19162
148182.37.36.192/26182.37.36.193 to 182.37.36.254182.37.36.25562
149182.37.37.0/26182.37.37.1 to 182.37.37.62182.37.37.6362
150182.37.37.64/26182.37.37.65 to 182.37.37.126182.37.37.12762
151182.37.37.128/26182.37.37.129 to 182.37.37.190182.37.37.19162
152182.37.37.192/26182.37.37.193 to 182.37.37.254182.37.37.25562
153182.37.38.0/26182.37.38.1 to 182.37.38.62182.37.38.6362
154182.37.38.64/26182.37.38.65 to 182.37.38.126182.37.38.12762
155182.37.38.128/26182.37.38.129 to 182.37.38.190182.37.38.19162
156182.37.38.192/26182.37.38.193 to 182.37.38.254182.37.38.25562
157182.37.39.0/26182.37.39.1 to 182.37.39.62182.37.39.6362
158182.37.39.64/26182.37.39.65 to 182.37.39.126182.37.39.12762
159182.37.39.128/26182.37.39.129 to 182.37.39.190182.37.39.19162
160182.37.39.192/26182.37.39.193 to 182.37.39.254182.37.39.25562
161182.37.40.0/26182.37.40.1 to 182.37.40.62182.37.40.6362
162182.37.40.64/26182.37.40.65 to 182.37.40.126182.37.40.12762
163182.37.40.128/26182.37.40.129 to 182.37.40.190182.37.40.19162
164182.37.40.192/26182.37.40.193 to 182.37.40.254182.37.40.25562
165182.37.41.0/26182.37.41.1 to 182.37.41.62182.37.41.6362
166182.37.41.64/26182.37.41.65 to 182.37.41.126182.37.41.12762
167182.37.41.128/26182.37.41.129 to 182.37.41.190182.37.41.19162
168182.37.41.192/26182.37.41.193 to 182.37.41.254182.37.41.25562
169182.37.42.0/26182.37.42.1 to 182.37.42.62182.37.42.6362
170182.37.42.64/26182.37.42.65 to 182.37.42.126182.37.42.12762
171182.37.42.128/26182.37.42.129 to 182.37.42.190182.37.42.19162
172182.37.42.192/26182.37.42.193 to 182.37.42.254182.37.42.25562
173182.37.43.0/26182.37.43.1 to 182.37.43.62182.37.43.6362
174182.37.43.64/26182.37.43.65 to 182.37.43.126182.37.43.12762
175182.37.43.128/26182.37.43.129 to 182.37.43.190182.37.43.19162
176182.37.43.192/26182.37.43.193 to 182.37.43.254182.37.43.25562
177182.37.44.0/26182.37.44.1 to 182.37.44.62182.37.44.6362
178182.37.44.64/26182.37.44.65 to 182.37.44.126182.37.44.12762
179182.37.44.128/26182.37.44.129 to 182.37.44.190182.37.44.19162
180182.37.44.192/26182.37.44.193 to 182.37.44.254182.37.44.25562
181182.37.45.0/26182.37.45.1 to 182.37.45.62182.37.45.6362
182182.37.45.64/26182.37.45.65 to 182.37.45.126182.37.45.12762
183182.37.45.128/26182.37.45.129 to 182.37.45.190182.37.45.19162
184182.37.45.192/26182.37.45.193 to 182.37.45.254182.37.45.25562
185182.37.46.0/26182.37.46.1 to 182.37.46.62182.37.46.6362
186182.37.46.64/26182.37.46.65 to 182.37.46.126182.37.46.12762
187182.37.46.128/26182.37.46.129 to 182.37.46.190182.37.46.19162
188182.37.46.192/26182.37.46.193 to 182.37.46.254182.37.46.25562
189182.37.47.0/26182.37.47.1 to 182.37.47.62182.37.47.6362
190182.37.47.64/26182.37.47.65 to 182.37.47.126182.37.47.12762
191182.37.47.128/26182.37.47.129 to 182.37.47.190182.37.47.19162
192182.37.47.192/26182.37.47.193 to 182.37.47.254182.37.47.25562
193182.37.48.0/26182.37.48.1 to 182.37.48.62182.37.48.6362
194182.37.48.64/26182.37.48.65 to 182.37.48.126182.37.48.12762
195182.37.48.128/26182.37.48.129 to 182.37.48.190182.37.48.19162
196182.37.48.192/26182.37.48.193 to 182.37.48.254182.37.48.25562
197182.37.49.0/26182.37.49.1 to 182.37.49.62182.37.49.6362
198182.37.49.64/26182.37.49.65 to 182.37.49.126182.37.49.12762
199182.37.49.128/26182.37.49.129 to 182.37.49.190182.37.49.19162
200182.37.49.192/26182.37.49.193 to 182.37.49.254182.37.49.25562
201182.37.50.0/26182.37.50.1 to 182.37.50.62182.37.50.6362
202182.37.50.64/26182.37.50.65 to 182.37.50.126182.37.50.12762
203182.37.50.128/26182.37.50.129 to 182.37.50.190182.37.50.19162
204182.37.50.192/26182.37.50.193 to 182.37.50.254182.37.50.25562
205182.37.51.0/26182.37.51.1 to 182.37.51.62182.37.51.6362
206182.37.51.64/26182.37.51.65 to 182.37.51.126182.37.51.12762
207182.37.51.128/26182.37.51.129 to 182.37.51.190182.37.51.19162
208182.37.51.192/26182.37.51.193 to 182.37.51.254182.37.51.25562
209182.37.52.0/26182.37.52.1 to 182.37.52.62182.37.52.6362
210182.37.52.64/26182.37.52.65 to 182.37.52.126182.37.52.12762
211182.37.52.128/26182.37.52.129 to 182.37.52.190182.37.52.19162
212182.37.52.192/26182.37.52.193 to 182.37.52.254182.37.52.25562
213182.37.53.0/26182.37.53.1 to 182.37.53.62182.37.53.6362
214182.37.53.64/26182.37.53.65 to 182.37.53.126182.37.53.12762
215182.37.53.128/26182.37.53.129 to 182.37.53.190182.37.53.19162
216182.37.53.192/26182.37.53.193 to 182.37.53.254182.37.53.25562
217182.37.54.0/26182.37.54.1 to 182.37.54.62182.37.54.6362
218182.37.54.64/26182.37.54.65 to 182.37.54.126182.37.54.12762
219182.37.54.128/26182.37.54.129 to 182.37.54.190182.37.54.19162
220182.37.54.192/26182.37.54.193 to 182.37.54.254182.37.54.25562
221182.37.55.0/26182.37.55.1 to 182.37.55.62182.37.55.6362
222182.37.55.64/26182.37.55.65 to 182.37.55.126182.37.55.12762
223182.37.55.128/26182.37.55.129 to 182.37.55.190182.37.55.19162
224182.37.55.192/26182.37.55.193 to 182.37.55.254182.37.55.25562
225182.37.56.0/26182.37.56.1 to 182.37.56.62182.37.56.6362
226182.37.56.64/26182.37.56.65 to 182.37.56.126182.37.56.12762
227182.37.56.128/26182.37.56.129 to 182.37.56.190182.37.56.19162
228182.37.56.192/26182.37.56.193 to 182.37.56.254182.37.56.25562
229182.37.57.0/26182.37.57.1 to 182.37.57.62182.37.57.6362
230182.37.57.64/26182.37.57.65 to 182.37.57.126182.37.57.12762
231182.37.57.128/26182.37.57.129 to 182.37.57.190182.37.57.19162
232182.37.57.192/26182.37.57.193 to 182.37.57.254182.37.57.25562
233182.37.58.0/26182.37.58.1 to 182.37.58.62182.37.58.6362
234182.37.58.64/26182.37.58.65 to 182.37.58.126182.37.58.12762
235182.37.58.128/26182.37.58.129 to 182.37.58.190182.37.58.19162
236182.37.58.192/26182.37.58.193 to 182.37.58.254182.37.58.25562
237182.37.59.0/26182.37.59.1 to 182.37.59.62182.37.59.6362
238182.37.59.64/26182.37.59.65 to 182.37.59.126182.37.59.12762
239182.37.59.128/26182.37.59.129 to 182.37.59.190182.37.59.19162
240182.37.59.192/26182.37.59.193 to 182.37.59.254182.37.59.25562
241182.37.60.0/26182.37.60.1 to 182.37.60.62182.37.60.6362
242182.37.60.64/26182.37.60.65 to 182.37.60.126182.37.60.12762
243182.37.60.128/26182.37.60.129 to 182.37.60.190182.37.60.19162
244182.37.60.192/26182.37.60.193 to 182.37.60.254182.37.60.25562
245182.37.61.0/26182.37.61.1 to 182.37.61.62182.37.61.6362
246182.37.61.64/26182.37.61.65 to 182.37.61.126182.37.61.12762
247182.37.61.128/26182.37.61.129 to 182.37.61.190182.37.61.19162
248182.37.61.192/26182.37.61.193 to 182.37.61.254182.37.61.25562
249182.37.62.0/26182.37.62.1 to 182.37.62.62182.37.62.6362
250182.37.62.64/26182.37.62.65 to 182.37.62.126182.37.62.12762
251182.37.62.128/26182.37.62.129 to 182.37.62.190182.37.62.19162
252182.37.62.192/26182.37.62.193 to 182.37.62.254182.37.62.25562
253182.37.63.0/26182.37.63.1 to 182.37.63.62182.37.63.6362
254182.37.63.64/26182.37.63.65 to 182.37.63.126182.37.63.12762
255182.37.63.128/26182.37.63.129 to 182.37.63.190182.37.63.19162
256182.37.63.192/26182.37.63.193 to 182.37.63.254182.37.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses